Skip to main content
GET
/
profile-public
Get public profile
curl --request GET \
  --url https://aarwcjjzhlmkgdwrisyt.supabase.co/functions/v1/profile-public
{
  "success": true,
  "status": 200,
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "first_name": "Ade",
    "last_name": "Johnson",
    "username": "adejohnson",
    "bio": "Escrow enthusiast",
    "avatar": {
      "avatar_url": "https://cdn.example.com/avatars/ade.jpg"
    },
    "stats": {
      "escrow_count": 12,
      "is_verified": true,
      "review_count": 8,
      "avg_rating": 4.75
    },
    "created_at": "2026-01-01T09:00:00Z"
  }
}

Query Parameters

user_id
string<uuid>
required

UUID of the user whose public profile to retrieve

Response

Public profile returned

success
boolean
Example:

true

status
integer
Example:

200

data
object

Public-facing profile. Sensitive fields (phone_number, address, marital_status, next_of_kin, storage_path, admin_role) are never included.